
Katello - Feature #7426

Implement spinner for redhat repos page

09/12/2014 11:43 AM - Christine Fouant

Status: Closed   

Priority: Normal   

Assignee: Christine Fouant   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1129526 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/465
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1129526

Description of problem:

The various tabs related to srpms, Beta, ISO, Other, take few seconds to load.

we need a spinner so as to inform a new user about the time taken to load above repos under the various tabs.

For a while I myself assumed, no page loads.

Version-Release number of selected component (if applicable):

sat6-GA-snap4

How reproducible:

Steps to Reproduce:

1. import manifest

2. move to redhat repos page

3. move to various tabs like srpms, beta, ISO, Other

Actual results:

No spinner

Expected results:

We need a spinner, for better experience.

Additional info:

Associated revisions

Revision 540295f1 - 09/12/2014 11:54 AM - Christine Fouant

fixes #7426 - Adds a spinner to the repository tabs, BZ 1129526

Revision 5857f476 - 09/15/2014 08:51 AM - Walden Raines

Merge pull request #4655 from cfouant/spinner

fixes #7426 - Adds a spinner to the repository tabs, BZ 1129526

History

#1 - 09/12/2014 11:54 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 56

- Pull request https://github.com/Katello/katello/pull/4655 added

- Pull request deleted ()
#2 - 09/12/2014 03:26 PM - Eric Helms

- Tracker changed from Bug to Feature

- Subject changed from [RFE] Implement spinner for redhat repos page to Implement spinner for redhat repos page

- Difficulty set to easy

- Triaged changed from No to Yes

#3 - 09/15/2014 09:01 AM - Christine Fouant

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|540295f10281907875db5b34f986177dfd6bbc06.

#4 - 09/15/2014 02:22 PM - Eric Helms

- translation missing: en.field_release set to 13
